%define GTKMDKDATE	20030308
%define MENUDATE  	20030308

Summary:	Localization files for Menu system
Name:		mdk-menu-messages
Version:	9.1
Release:	0.7mdk

Source0:	menu-messages-%{MENUDATE}.tar.bz2
Source1:	gtk+mdk-%{GTKMDKDATE}.tar.bz2
Source10:	menu-mdk.desktop.in
Source11:	menu-mdk-simplified.desktop.in

License:	GPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
PreReq:		menu >= 2.1.5-115mdk
Conflicts:	gtk+mdk =< 0.1.6-13mdk
BuildRequires:	gettext
BuildRequires:  intltool

%description
This package includes that translations of the main menu used by the
different desktops and window managers of the distribution;
as well as translations used by specifically added features.

%prep

%setup -q -n menu-messages -a 1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale

# fix norwegian bokml in kde
[ ! -r nb.po -a -r no.po ] && cp no.po nb.po

# menu-messages files
for i in ./*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/menu-messages.mo ${i}
done

# gtk+mdk files
for i in GtkMdkWidgets/po/*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o	${langdir}/gtk+mdk.mo ${i}
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mdk/menu

intltool-merge -d -u . %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/mdk/menu/mandrake.desktop
intltool-merge -d -u . %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mdk/menu/mandrake-simplified.desktop



%find_lang menu-messages
%find_lang gtk+mdk

cat menu-messages.lang > mdk-menu-messages.lang
cat gtk+mdk.lang >> mdk-menu-messages.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f mdk-menu-messages.lang
%defattr(-,root,root,0755)
%{_datadir}/mdk/menu/*

%changelog
* Sat Mar 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 9.1-0.7mdk
- make nb translation work in kde

* Thu Mar 11 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.6mdk
- updated po files

* Sat Feb 22 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.5mdk
- include *.desktop files from "menu" package, otherwise they
  don't get translated

* Wed Feb 19 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.4mdk
- updated po files

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-0.3mdk
- update gtk+mdk po files

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-0.2mdk
- Conflict with old gtk+mdk package

* Mon Feb 10 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 9.1-0.1mdk
- first version of a packaged containing all mdk-specific translations

# end of file
